uIP 1.0: uip_stats Struct Reference

- Main Page
- Modules
- Data Structures
- Files
- Examples

- Alphabetical List
- Data Structures
- Class Hierarchy
- Data Fields

# uip_stats Struct Reference
[The uIP TCP/IP stack]

`#include <uip.h>`

## Detailed Description

The structure holding the TCP/IP statistics that are gathered if UIP_STATISTICS is set to 1.

Definition at line 1232 of file uip.h.

## Data Fields

struct {
uip_stats_t drop
| Number of dropped packets at the IP layer.
uip_stats_t recv
| Number of received packets at the IP layer.
uip_stats_t sent
| Number of sent packets at the IP layer.
uip_stats_t vhlerr
| Number of packets dropped due to wrong IP version or header length.
uip_stats_t hblenerr
| Number of packets dropped due to wrong IP length, high byte.
uip_stats_t lblenerr
| Number of packets dropped due to wrong IP length, low byte.
uip_stats_t fragerr
| Number of packets dropped since they were IP fragments.
uip_stats_t chkerr
| Number of packets dropped due to IP checksum errors.
uip_stats_t protoerr
| Number of packets dropped since they were neither ICMP, UDP nor TCP.
} | ip
| IP statistics.
struct {
uip_stats_t drop
| Number of dropped ICMP packets.
uip_stats_t recv
| Number of received ICMP packets.
uip_stats_t sent
| Number of sent ICMP packets.
uip_stats_t typeerr
| Number of ICMP packets with a wrong type.
} | icmp
| ICMP statistics.
struct {
uip_stats_t drop
| Number of dropped TCP segments.
uip_stats_t recv
| Number of recived TCP segments.
uip_stats_t sent
| Number of sent TCP segments.
uip_stats_t chkerr
| Number of TCP segments with a bad checksum.
uip_stats_t ackerr
| Number of TCP segments with a bad ACK number.
uip_stats_t rst
| Number of recevied TCP RST (reset) segments.
uip_stats_t rexmit
| Number of retransmitted TCP segments.
uip_stats_t syndrop
| Number of dropped SYNs due to too few connections was avaliable.
uip_stats_t synrst
| Number of SYNs for closed ports, triggering a RST.
} | tcp
| TCP statistics.
struct {
uip_stats_t drop
| Number of dropped UDP segments.
uip_stats_t recv
| Number of recived UDP segments.
uip_stats_t sent
| Number of sent UDP segments.
uip_stats_t chkerr
| Number of UDP segments with a bad checksum.
} | udp
| UDP statistics.